Delete a network for a dedicated server

DELETE/v1/hosts/dedicated_servers/{server_id}/networks/{network_id}

A DELETE request to the /v1/hosts/dedicated_servers/{server_id}/networks/{network_id} endpoint removes a network associated with a server. The server and network IDs have to be specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

network_id*string

A unique identifier of the network.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/hosts/dedicated_servers/QBeXrkby/networks/ELe3j4d6"
{  "id": "ELe3j4d6",  "title": "Private",  "status": "removed",  "cidr": "10.128.1.0/29",  "family": "ipv4",  "interface_type": "private",  "distribution_method": "gateway",  "additional": true,  "updated_at": "2026-05-28T06:57:28Z",  "created_at": "2026-05-28T06:57:28Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Not allowed upon reinstall",  "code": "NOT_ALLOWED_UPON_REINSTALL"}